Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 62329)
+++ channels/chan_sip.c	(working copy)
@@ -5947,6 +5947,7 @@
 		ast_sched_del(sched, peer->expire);
 	peer->expire = ast_sched_add(sched, (expiry + 10) * 1000, expire_register, peer);
 	register_peer_exten(peer, 1);
+	ast_device_state_changed("SIP/%s", peer->name);
 }
 
 /*! \brief  parse_ok_contact: Parse contact header for 200 OK on INVITE ---*/
@@ -12976,6 +12977,7 @@
 				if (!strcasecmp(utype, "peer") || !strcasecmp(utype, "friend")) {
 					peer = build_peer(cat, ast_variable_browse(cfg, cat), 0);
 					if (peer) {
+						ast_device_state_changed("SIP/%s", peer->name);
 						ASTOBJ_CONTAINER_LINK(&peerl,peer);
 						ASTOBJ_UNREF(peer, sip_destroy_peer);
 					}
